/*
** Responsive Code
*/
@media (min-width: 1700px) {
}
@media (max-width: 1700px) {
}
@media (max-width: 1560px) {
    /* Banner */
    .swiperBanner .pagination {
        left: 92%;
    }

    /* Product-detail */
    .feature-price p,
    .avans-price p {
        font-size: 28px;
    }
    .feature-price span {
        font-size: 16px;
    }
}
@media (max-width: 1400px) {
    /* Header */
    .general-address,
    .general-contacts a {
        font-size: 14px;
    }
    .general-menu a,
    .general-contacts p {
        font-size: 12px;
    }
    .nav_title {
        font-size: 16px;
    }
}
@media (max-width: 1380px) {
    /* Header */
    .basket-price {
        display: none;
    }
    .visible-categories a {
        font-size: 16px;
    }
    .swiperBanner .pagination {
        left: 90%;
    }

    /* Top Products */
    .price {
        font-size: 16px;
    }

    /* Footer */
    .footer-nav {
        display: none;
    }
    .footer-appear-nav {
        display: flex;
    }
    .footer-nav-container {
        border-bottom: none;
    }
    .footer-navigation {
        padding: 15px 0 30px;
        border-bottom: 1px solid var(--white-color);
    }

    /* Products */
    .product-price-box {
        gap: 10px;
    }

    /* Shopping cart */
    .order-box .order-total {
        font-size: 24px;
    }
    .shopping-price p {
        font-size: 16px;
    }
    .shopping-price {
        min-width: 100px;
    }

    /* Thank you */
    .detail-box {
        font-size: 16px;
    }

    /* Contact page */
    .contact-address p,
    .contact-time p {
        font-size: 16px;
    }
    .credit-modal-body {
        max-width: 80%;
    }
}
@media (max-width: 1260px) {
    /* Header */
    .general-address,
    .general-contacts a {
        font-size: 10px;
    }
    .general-menu a,
    .general-contacts p {
        font-size: 10px;
    }
    .visible-categories a,
    .nav_title {
        font-size: 14px;
    }
    .visible-categories {
        justify-content: end;
        gap: 15px;
    }

    /* Banner */
    .partner-img img {
        width: 100px;
    }

    /* Review */
    .review-text,
    .new-text h3 {
        font-size: 16px;
    }

    /* Subscription */
    .subscription-container > h1 {
        font-size: 36px;
    }

    /* Products */
    .products-grid {
        grid-template-columns: repeat(3, 1fr);
    }

    /* Product detail */
    .product-feature .product-btns,
    .avans-btn {
        width: 200px;
    }
    .product-benefit {
        align-items: start;
        flex-direction: column;
    }
    .feature-price p,
    .avans-price p {
        font-size: 24px;
    }
    .add-to-card {
        font-size: 16px;
    }
    .avans-text,
    .feature-price span {
        font-size: 14px;
    }
    .feature-action,
    .product-benefit {
        gap: 10px;
    }
}
@media (max-width: 1170px) {
    /* Footer */
    .footer-categories {
        flex-wrap: wrap;
        justify-content: start;
        row-gap: 50px;
    }
    .footer-category {
        flex-basis: calc(50% - 20px);
    }

    /* Categories */
    .cat-img {
        height: 400px;
    }

    /* Product Detail */
    .stock,
    .product-code {
        font-size: 14px;
    }
    .grote_image {
        width: 400px;
    }
    .product-feature .product-btns,
    .avans-btn {
        width: 180px;
    }

    /* Shopping cart */
    .order-box h3,
    .order-box p {
        font-size: 16px;
    }
    .order-box .order-total {
        font-size: 18px;
    }

    /* Service detail */
    .service-detail-img {
        width: 45%;
    }
    .service-detail-content {
        width: 55%;
    }
    .service-detail-title,
    .service-detail-content .service-contacts h3 {
        font-size: 16px;
        text-align: center;
    }
    .service-detail-content .service-contacts {
        flex-direction: column;
    }
    .service-detail-text {
        font-size: 14px;
    }

    .credit-modal-body {
        max-width: 95%;
    }

    .model_3d iframe {
        height: 300px !important;
    }
}
@media (max-width: 1070px) {
    /* Header */
    .general-menu,
    .visible-categories {
        display: none;
    }
    .swiperBanner .pagination {
        left: 86%;
    }

    /* Subscription */
    .subscription-container > h1 {
        font-size: 28px;
    }
    .subscription-container {
        gap: 50px;
    }

    /* Products */
    .products-grid {
        grid-template-columns: repeat(2, 1fr);
    }

    /* Product Detail */
    .separate-product-details {
        flex-direction: column;
    }
    .image-gallery {
        width: 100%;
    }
    .product-features {
        width: 100%;
        border-left: 1px solid var(--gray-color);
        border-top: none;
    }
    .product-feature {
        padding: 25px;
    }
    .product-feature:last-child {
        padding: 0 25px;
        height: 70px;
    }
    .product-benefit {
        flex-direction: row;
        align-items: center;
    }
    .product-feature .product-btns,
    .avans-btn {
        width: 250px;
    }

    /* Blog */
    .blog-grid {
        grid-template-columns: repeat(3, 1fr);
    }
}
@media (min-width: 994px) {
    .categories-nav:hover .mega-box {
        top: 43px;
        opacity: 1;
        border-top: 1px solid #d9d9d9;
        border-bottom: 1px solid #d9d9d9;
        transition: all 0.5s ease;
        height: 450px;
    }
    .categories-btn:hover .chevron {
        transform: rotate(180deg);
    }
    .categories-btn:hover .cat-line:nth-child(2) {
        transform: translateX(19px);
    }
}
@media (max-width: 993px) {
    /* Header */
    .logo {
        width: 140px;
    }
    .lang-desk {
        display: none;
    }
    .floating-actions {
        gap: 10px;
        padding-left: 10px;
    }
    .lang-mobile {
        display: block;
    }
    .action {
        padding-right: 10px;
    }
    .lang-dropdown.active {
        min-height: 80px;
        opacity: 1;
    }
    .result-title img {
        min-width: 50px;
        height: 50px;
        width: 50px;
    }
    .search-box-result a,
    .search-box-result a .real-price {
        font-size: 12px;
    }

    /* Categories Navigation */
    .mega-content.container {
        flex-direction: column;
        justify-content: start;
        height: 100%;
        padding: 0;
    }
    .mega-row {
        width: 100%;
        border-right: 1px solid transparent;
        padding-left: 0;
        border-bottom: 1px solid #d4d4d4;
        overflow: hidden;
    }
    .mega-row.onMobile {
        display: flex;
    }
    .mega-title {
        display: flex;
        width: 100%;
        padding: 15px 30px;
        height: auto;
    }
    .mega-box::after {
        content: none;
    }
    .mega-links {
        position: absolute;
        top: 0;
        right: 0;
        visibility: hidden;
        height: 500px;
        width: 100%;
        overflow: hidden;
        transform: translate(100%, 0);
        padding: 0;
    }
    .nav_title span {
        display: flex;
        align-items: center;
        justify-content: center;
        width: 40px;
        padding-right: 10px;
    }
    .back-btn {
        display: flex;
    }
    .nav-arrow {
        display: block;
    }
    .mega-link {
        padding: 15px 30px;
        border-bottom: 1px solid #d4d4d4;
    }
    .mega-link a {
        font-size: 16px;
    }
    .nav_title {
        font-size: 18px;
        font-weight: 600;
    }

    /* Banner */
    .partners .container {
        grid-template-columns: repeat(4, 1fr);
    }
    .partner-img:nth-child(6n + 1),
    .partner-img:nth-child(6n + 6) {
        justify-content: center;
    }
    .partner-img:nth-child(6n + 6)::after {
        content: '';
    }
    .partner-img:nth-child(6n + 5)::after {
        right: 0;
    }

    .partner-img:nth-child(4n + 1) {
        justify-content: start;
    }
    .partner-img:nth-child(4n + 4) {
        justify-content: end;
    }
    .partner-img:nth-child(4n + 4)::after {
        content: none;
    }
    .partner-img:nth-child(4n + 3)::after {
        right: -30px;
    }

    /* Main categories */
    .main-categories-grid {
        grid-template-columns: repeat(2, 1fr);
    }
    .main-category-card {
        border-bottom: 1px solid var(--white-color);
    }

    /* House products */
    .swiperHouse .btn {
        font-size: 16px;
    }

    /* Services */
    .services-grid {
        grid-template-columns: repeat(2, 1fr);
    }
    .service-box {
        border-bottom: 1px solid var(--white-color);
    }

    /* Subscription */
    .subscription-container {
        gap: 50px;
        flex-direction: column;
    }

    /* Faq */
    .faq_ttl,
    .faq_answer,
    .faq-section .title a {
        font-size: 16px;
    }

    /* Footer */
    .nav-separate {
        align-items: start;
        flex-direction: column;
        gap: 15px;
    }
    .nav-separate:last-child {
        align-items: end;
    }
    .footer-details {
        display: flex;
        align-items: center;
        justify-content: space-between;
        flex-basis: 100%;
    }
    .footer-contacts {
        flex-wrap: wrap;
    }

    /* Categories */
    .subcategories-grid {
        grid-template-columns: repeat(2, 1fr);
    }

    /* Products */
    .filter-container {
        position: fixed;
        top: 0;
        left: 0;
        border-left: none;
        border-right: 1px solid var(--gray-color);
        width: 450px;
        transform: translate(-100%, 0);
        transition: all 0.3s cubic-bezier(0.29, 0.39, 0.68, 0.53);
        -webkit-transition: all 0.3s cubic-bezier(0.29, 0.39, 0.68, 0.53);
        overflow: hidden;
        height: 100%;
        display: flex;
        z-index: 300;
        flex-direction: column;
    }
    .filter:last-child {
        border-bottom: 1px solid var(--gray-color);
    }
    .filter-btn,
    .filter-mobile {
        display: flex;
    }
    .apply-btn-box {
        display: flex;
        padding-top: 25px;
    }
    .filter-btn {
        align-self: end;
    }
    .sort {
        gap: 15px;
    }
    .products-grid {
        grid-template-columns: repeat(3, 1fr);
    }

    /* Products Detail */
    .content-desc li,
    .table-title h3,
    .table-text h3 {
        font-size: 16px;
    }

    /* Shopping Cart */
    .shopping-cart-container {
        flex-direction: column;
    }
    .shopping-products,
    .shopping-order {
        width: 100%;
    }
    .shopping-products {
        border-right: none;
    }

    /* Checkout */
    .checkout-content {
        width: 100%;
    }
    .checkout-box {
        border-right: none;
    }
    .checkout-box:last-child {
        border-bottom: 1px solid var(--gray-color);
    }
    .map-intro span,
    .map-intro p {
        font-size: 14px;
    }

    /* Thank you */
    .order-details h1 {
        font-size: 24px;
    }
    .order-details {
        flex-direction: column;
        align-items: start;
    }
    .help-boxes {
        flex-direction: row;
    }

    /* Contact Page */
    .contacts-container {
        grid-template-columns: repeat(1, 1fr);
    }
    #contact-map {
        height: 400px;
    }
    .contact-box:nth-of-type(2) {
        grid-column: span 1;
    }
    .contact-detail {
        border-right: none;
        border-bottom: 1px solid var(--white-color);
    }
    .contact-time {
        border-left: 0;
        border-top: 1px solid var(--gray-color);
    }
    .contact-form {
        border-left: none;
    }
    /* Service detail */
    .service-detail-container {
        flex-direction: column;
    }
    .service-detail-img {
        width: 100%;
        height: 500px;
    }
    .service-detail-content {
        width: 100%;
    }
    .service-detail-title,
    .service-detail-text {
        border-top: none;
        border-left: 1px solid var(--gray-color);
        text-align: left;
    }
    .service-detail-content .service-contacts {
        border-left: none;
    }

    /* Blog Detail */
    .blog-detail-block {
        flex-direction: column;
    }
    .blog-img {
        width: 100%;
        height: 500px;
    }
    .blog-text {
        width: 100%;
        border-top: none;
        border-left: 1px solid var(--gray-color);
    }

    /* About Page */
    .about-container {
        flex-direction: column;
    }
    .about-content {
        width: 100%;
        border-right: 1px solid var(--gray-color);
    }
    .about-partners {
        width: 100%;
    }
    .about-partner {
        height: 150px;
    }

    /* Compare */
    .compare-sidebar {
        width: 40%;
    }
    .compare-header-title {
        width: 40% !important;
    }
    .compare-products {
        width: 60% !important;
    }
    .compare-header-category,
    .compare-header .compare-header-title {
        font-size: 16px;
    }

    /*  Promotions  */
    .promotions-grid {
        grid-template-columns: repeat(2, 1fr);
    }
    .promotion-products {
        grid-template-columns: repeat(3, 1fr);
    }
    .credit-modal {
        padding-top: 10px;
    }
    .credit-modal-cols {
        display: flex;
        flex-wrap: wrap;
        align-items: start;
        justify-content: start;
        gap: 5px;
    }
    .credit-modal-col {
        width: 45%;
    }
}
@media (max-width: 768px) {
    /* Header */
    .general-info,
    .search {
        display: none;
    }
    .logo {
        width: auto;
    }
    .lang-phone {
        display: flex;
        padding: 0 10px;
        border-left: 1px solid #d4d4d4;
        border-right: 1px solid #d4d4d4;
    }
    .floating-actions {
        position: fixed;
        right: 0;
        left: 50%;
        transform: translateX(-50%);
        bottom: 15px;
        z-index: 100;
        width: 400px;
        height: 70px;
        padding: 25px;
        gap: 0;
        justify-content: space-between;
        background-color: var(--blue-color);
        border: 1px solid var(--white-color);
    }
    .heart,
    .action,
    .basket {
        width: 100%;
        padding: 0;
        display: flex;
        align-items: center;
        justify-content: center;
    }
    .action.home,
    .lines,
    .mobile-search {
        display: flex;
    }
    .heart svg path,
    .action svg path,
    .shopping-cart svg path {
        fill: var(--white-color);
    }
    .lines.active {
        padding-right: 0;
    }

    /* Banner */
    .swiperBanner .pagination {
        flex-direction: row;
        align-items: center;
        top: auto;
        bottom: 15px;
        height: auto;
        left: 50%;
        transform: translateX(-50%);
        gap: 0;
        right: auto;
        pointer-events: visible;
    }
    .swiperBanner .pagination span {
        width: 13px;
        height: 13px;
        border-radius: var(--border-rounded);
        background-color: var(--white-color);
    }
    .swiperBanner .pagination span.swiper-pagination-bullet-active {
        background-color: var(--blue-color);
        width: 13px;
        height: 13px;
        border-radius: var(--border-rounded);
    }
    .partners {
        bottom: 50px;
    }

    /* Top products */
    .product-price-box {
        gap: 10px;
    }

    /* House products */
    .swiperHouse .swiper-slide {
        height: 400px;
        padding: 25px;
    }

    /* faq */
    .faq-section .title a {
        display: none;
    }

    /* Footer */
    .footer-category:first-child {
        flex-basis: 100%;
    }
    .footer-category {
        flex-basis: calc(50% - 20px);
    }
    /* Footer */
    .nav-separate {
        align-items: start;
        flex-direction: column;
        gap: 15px;
    }
    .nav-separate:last-child {
        align-items: end;
    }
    .footer-details {
        display: flex;
        flex-direction: column;
        align-items: start;
        justify-content: start;
        flex-basis: 100%;
    }
    .footer-contacts {
        flex-direction: column;
        gap: 25px;
    }
    .footer-copyright {
        flex-direction: column;
        gap: 25px;
    }

    /* Categories */
    .cat-text h3 {
        font-size: 16px;
    }

    /* Products */
    .filter-btn {
        width: 100%;
        align-items: center;
        justify-content: space-between;
    }
    .sort {
        width: 100%;
        justify-content: space-between;
    }
    .products-grid {
        grid-template-columns: repeat(2, 1fr);
    }
    .products-intro {
        flex-direction: column;
        gap: 25px;
        border: none;
        align-items: start;
        padding: 0;
        padding-bottom: 30px;
    }

    /* Product Detail */
    .product-feature:nth-of-type(4) {
        flex-direction: column;
        align-items: start;
        gap: 0;
        padding: 0;
    }
    .product-benefit {
        width: 100%;
        padding: 25px;
        border-bottom: 1px solid var(--gray-color);
    }
    .product-benefit:last-child {
        border-bottom: none;
    }
    .feature-icon {
        width: 50px;
    }
    .product-feature .product-btns,
    .avans-btn {
        width: 200px;
    }
    .grote_image {
        height: 400px;
    }
    .tab-buttons {
        width: 100%;
    }
    .tab-btn {
        font-size: 16px;
    }
    .table-title h3,
    .table-text h3 {
        font-size: 14px;
    }

    /* Shopping Cart */
    .empty-cart h3,
    .empty-btn {
        font-size: 16px;
    }

    /* Checkout */
    .checkout-inputs,
    .delivery-inputs {
        flex-direction: column;
    }
    .map-intro {
        flex-direction: column;
        align-items: start;
        gap: 10px;
    }

    /* Thank you */
    .help-box a {
        font-size: 16px;
    }

    /* Contact Page */
    .time-details {
        flex-direction: column;
        align-items: start;
        gap: 15px;
    }
    .contact-time {
        height: auto;
    }

    /* Service detail */
    .service-detail-container .service-text h3 {
        font-size: 16px;
    }

    /* Blog */
    .blog-grid {
        grid-template-columns: repeat(2, 1fr);
    }

    /* Compare */
    .compare-block .compare-header {
        width: 100%;
        min-height: auto;
        flex-direction: column;
    }
    .compare-header-title {
        width: 100% !important;
        border-right: none;
        border-bottom: 1px solid var(--gray-color);
        padding: 15px !important;
    }
    .compare-header-category {
        padding: 15px;
    }
    .compare-category-title {
        width: 100%;
        justify-content: space-between;
    }
    .compare-category-dropdown {
        width: 100% !important;
        left: 0;
        -webkit-box-shadow: 0px 25px 38px -29px rgba(0, 0, 0, 0.75);
        -moz-box-shadow: 0px 25px 38px -29px rgba(0, 0, 0, 0.75);
        box-shadow: 0px 25px 38px -29px rgba(0, 0, 0, 0.75);
    }
    .compare-category-dropdown.active {
        border-right: none;
        border-left: none;
        width: 100%;
    }
    .compare-header-category {
        display: flex;
    }
    .compare-sidebar {
        display: none;
    }
    .compare-products {
        width: 100% !important;
        overflow: visible;
        flex-direction: column;
    }
    .compare-features-container {
        display: flex;
    }
    .mobile-sidebar {
        display: block;
    }
    .compare-features {
        width: 50%;
    }
    .compare-product {
        width: 100%;
        border-right: none;
    }
    .compare-product .compare-product-feature:last-of-type,
    .mobile-sidebar .compare-sidebar-feature:last-child {
        border-bottom: 1px solid var(--gray-color);
    }

    /* Pop-up */
    .checkout-inputs div input {
        padding: 15px;
    }
    .checkout-inputs div label {
        top: 12px;
    }

    /*  Promotions  */
    .promotion-products {
        grid-template-columns: repeat(2, 1fr);
    }

    .credit-modal-col {
        width: 100%;
        height: 50px;
    }
    .credit-modal-col-rate {
        font-size: 27px;
    }
    .mw-100 {
        width: 100% !important;
    }
    .subscription {
        display: none;
    }
}
@media (max-width: 600px) {
    /* Banner */
    .banner-text h1 {
        font-size: 48px;
    }
    .banner-text p {
        font-size: 18px;
    }
    .partners .container {
        grid-template-columns: repeat(3, 1fr);
    }
    .partner-img:nth-child(4n + 1),
    .partner-img:nth-child(4n + 4) {
        justify-content: center;
    }
    .partner-img:nth-child(4n + 4)::after {
        content: '';
    }
    .partner-img:nth-child(4n + 3)::after {
        right: 0;
    }
    .partner-img:nth-child(3n + 1) {
        justify-content: start;
    }
    .partner-img:nth-child(3n + 3) {
        justify-content: end;
    }
    .partner-img:nth-child(3n + 3)::after {
        content: none;
    }

    /* Categories */
    .cat-img {
        height: 300px;
    }
    .subcategories-grid {
        grid-template-columns: repeat(1, 1fr);
    }
    .cat-text h3 {
        font-size: 16px;
    }

    /* Price Detail */
    .avans-text {
        display: none;
    }
    .avans-text-hide {
        display: flex;
        gap: 15px;
        padding-top: 5px;
    }
    .avans-text-hide p {
        font-size: 14px;
        color: var(--blue-color);
    }
    .feature-price {
        flex-direction: column;
        align-items: start;
        gap: 5px;
    }
    .feature-action .product-action span {
        display: none;
    }
    .feature-action {
        gap: 25px;
    }
    .content-desc li {
        font-size: 14px;
        line-height: 30px;
    }

    /* Shopping Cart */
    .shopping-product {
        flex-direction: column;
        align-items: start;
    }
    .shop-close {
        position: absolute;
        top: 50%;
        transform: translateY(-50%);
        right: 15px;
    }
    .img-title h4 {
        padding-right: 15px;
    }

    /* Thank you */
    .order-details h1 {
        font-size: 16px;
    }
    .detail-box {
        font-size: 14px;
        display: block;
    }
    .summary-item {
        padding: 15px;
    }
    .summary-item .subtotal {
        font-size: 14px;
    }
    .summary-item span {
        font-size: 14px;
        min-width: 90px;
    }

    /* About Page */
    .about-title {
        font-size: 16px;
        padding: 15px;
    }
    .about-text {
        padding: 15px 15px 80px 15px;
    }
    .about-partners {
        width: 100%;
        grid-template-columns: repeat(2, 1fr);
    }

    /* Pop-up */
    .custom-model-inner {
        max-width: calc(100% - 30px);
    }

    /*  Promotions  */
    .promotion {
        /* height: 300px; */
        display: flex;
        flex-direction: column;
    }
    .promotion-banner img {
        height: 400px;
    }
}
@media (max-width: 500px) {
    /* General */
    .container {
        max-width: calc(1570px - 15px);
        padding: 0 15px;
    }

    /* Header */
    .logo {
        width: 120px;
    }
    .header-search {
        height: 100%;
    }
    .header-search,
    .sidebarMenu {
        width: 100%;
    }
    .lang-item,
    .lang-mobile > span {
        min-width: 25px;
        width: 25px;
        height: 25px;
        font-size: 10px;
    }
    .lang-phone,
    .lines {
        height: 25px;
    }
    .floating-actions {
        width: calc(100% - 15px);
        padding: 25px 0;
    }
    .menu-content {
        padding: 10px;
    }
    .line:nth-child(1).active {
        transform: rotate(45deg) translate(18px, 10px);
    }
    .line:nth-child(2).active {
        transform: rotate(-45deg) translate(-5px, 13px);
    }
    .lang-dropdown {
        top: 35px;
    }

    /* Categories navigation */
    .categories-btn {
        padding-bottom: 0;
    }
    .categories-block .container {
        align-items: center;
        padding-bottom: 15px;
    }
    .mobile-search {
        width: 145px;
        gap: 0;
    }
    .categories-btn .chevron {
        display: none;
    }
    .categories-nav:hover .mega-box {
        top: 47px;
    }
    .nav_title {
        font-size: 14px;
    }
    .mega-title,
    .mega-link,
    .back-btn {
        padding: 15px;
    }
    .mega-link a,
    .back-btn {
        gap: 15px;
        font-size: 14px;
    }

    /* Search */
    .result-product h4 br {
        display: none;
    }
    .result-product img {
        min-width: 50px;
        width: 50px;
        height: 50px;
    }
    .search-close {
        padding-right: 15px;
    }
    .search-mobile-form {
        padding: 0 15px;
    }
    .result-product {
        padding: 10px 15px;
        flex-direction: column;
        align-items: start;
    }
    .result-price {
        display: flex;
        align-items: center;
        justify-content: space-between;
        gap: 15px;
    }

    /* Banner */
    .banner-text h1 {
        font-size: 36px;
    }
    .banner-text p {
        font-size: 16px;
    }

    /* Top products */
    .title h3 {
        font-size: 16px;
    }
    .swiper-button-next::after,
    .swiper-button-prev::after {
        font-size: 20px;
    }
    .swiperPopular .swiper-slide:first-child {
        border-left: 1px solid var(--gray-color);
    }

    /* Main Categories */
    .main-categories .container > h3 {
        font-size: 16px;
    }
    .main-categories-grid {
        grid-template-columns: repeat(1, 1fr);
    }

    /* Services */
    .services-grid {
        grid-template-columns: repeat(1, 1fr);
    }

    /* Footer */
    .footer-logo img {
        width: 150px;
    }
    .footer-nav-container,
    .footer-appear-nav {
        flex-direction: column;
        gap: 15px;
    }
    .nav-separate,
    .nav-separate:last-child,
    .footer-details {
        align-items: center;
    }
    .footer-categories,
    .footer-policy {
        flex-direction: column;
        align-items: center;
    }
    .footer-category,
    .footer-category ul {
        display: flex;
        flex-direction: column;
        align-items: center;
    }
    .footer-category ul li,
    .footer-copyright p,
    .footer-copyright a,
    .footer-details p {
        text-align: center;
    }
    .footer-call span {
        font-size: 18px;
    }

    /* Products */
    .filter-container {
        width: 100%;
    }
    .products h1 {
        font-size: 18px;
    }
    .products-grid {
        grid-template-columns: repeat(1, 1fr);
    }
    .products-pagination {
        justify-content: center;
    }
    .product-img img {
        width: 250px;
        height: 250px;
    }

    /* Product Detail */
    .product-feature:first-child {
        flex-direction: column;
        align-items: start;
        gap: 5px;
    }
    .guaranty p,
    .product-feature .add-to-card,
    .avans-btn {
        font-size: 12px;
    }
    .product-feature .product-btns,
    .avans-btn {
        width: 150px;
    }
    .avans-price p,
    .product-detail-page h1 {
        font-size: 16px;
    }
    .feature-price p {
        font-size: 22px;
    }
    .avans-price span,
    .avans-text-hide p {
        font-size: 10px;
    }
    .grote_image {
        width: 300px;
        height: 300px;
    }
    .thumbnail {
        width: 80px;
    }
    .image-gallery,
    .table-title,
    .table-text,
    .content-desc {
        padding: 15px;
    }

    /* Shopping Cart */
    .shopping-order,
    .order-container {
        padding: 15px;
    }
    .shopping-order h2 {
        font-size: 16px;
        font-weight: 600;
    }
    .order-btn,
    .order-box .order-total {
        font-size: 16px;
    }

    /* Thank you */
    .help-boxes {
        flex-direction: column;
    }
    .help-box:first-child {
        border-right: none;
        border-bottom: 1px solid var(--gray-color);
    }

    /* 404 Error */
    .content-404 {
        height: auto;
        padding: 100px 15px;
    }
    .content-404 h1 {
        font-size: 72px;
    }
    .content-404 h3 {
        font-size: 16px;
    }

    /* Contact Page */
    .contact-page h1 {
        font-size: 16px;
    }
    .contact-address p br {
        display: none;
    }
    .contact-detail svg,
    .contact-address svg {
        height: 40px;
        width: 40px;
    }
    .contact-detail span,
    .contact-form h3 {
        font-size: 16px;
    }
    .contact-address,
    .contact-time,
    .contact-form,
    .contact-detail {
        padding: 15px;
    }
    .contact-form .contact-btn {
        width: 100%;
    }

    /* Services & Service detail */
    .close-img {
        display: block;
    }
    .job_ttl {
        gap: 0;
        font-size: 16px;
    }
    .job-close,
    .service-detail-content .service-text {
        border: none;
    }
    .job_ttl img,
    .job-close .plus {
        display: none;
    }
    .service-detail-img {
        height: 400px;
    }
    .service-detail-content .service-box {
        flex-direction: column;
    }
    .service-detail-content .service-contacts {
        border-bottom: 1px solid var(--white-color);
    }
    .service-detail-title,
    .service-detail-text {
        padding: 15px;
    }

    /* Private Policy */
    .policy-title h1,
    .policy-text h3 {
        font-size: 16px;
    }
    .policy-title,
    .policy-text {
        padding: 15px;
    }

    /* Blog */
    .blog h1 {
        font-size: 16px;
    }
    .blog-grid {
        grid-template-columns: repeat(1, 1fr);
    }

    /* Blog Detail */
    .blog-img {
        height: 400px;
    }
    .blog-text {
        padding: 15px;
    }

    /* Compare */
    .compare-block .compare-product-feature,
    .compare-block .compare-sidebar-feature {
        padding: 0 15px;
    }

    /*  Promotions  */
    .promotions-grid,
    .promotion-products {
        grid-template-columns: repeat(1, 1fr);
    }
}
@media (max-width: 400px) {
    /* Services */
    .service-text h3,
    .service-contacts h3 {
        font-size: 16px;
    }
    .service-img {
        height: 250px;
    }

    /* Thank you */
    .summary-total {
        font-size: 16px;
    }

    /* About Page */
    .about-partner img {
        width: 80px;
    }
}

@media (max-width: 380px) {
    /* Header */
    .lang-desk,
    .lang-phone {
        padding: 0 5px;
    }
    .lines {
        margin-left: 5px;
        padding-right: 5px;
    }
    .mobile-search {
        width: 40px;
        height: 40px;
        border: none;
    }
    .mobile-search span {
        display: none;
    }

    /* Banner */
    .banner-text h1 {
        font-size: 24px;
    }
    .banner-text h1 br,
    .banner-text p br {
        display: none;
    }
    .partner-img img {
        width: 65px;
    }

    /* Top Products */
    .top-products .swiper-button-prev {
        right: 15px;
    }
    .swiper-button-prev {
        right: 25px;
    }

    /* House products */
    .swiperHouse .btn {
        font-size: 14px;
    }

    /* Faq */
    .faq_ttl,
    .faq_answer {
        font-size: 14px;
    }
    .faq_question {
        padding: 15px;
    }

    /* Products */
    .sort a,
    .filter-btn {
        font-size: 14px;
    }
    .product-img img {
        width: 220px;
        height: 220px;
    }

    /* Product Detail */
    .grote_image {
        width: 100%;
        object-fit: cover;
    }
    .product-feature,
    .product-benefit {
        padding: 15px;
    }
    .product-feature:nth-child(2),
    .product-feature:nth-child(3) {
        flex-direction: column;
        align-items: start;
        gap: 10px;
    }
    .product-feature:last-child {
        padding: 0 0 0 15px;
    }
    .product-feature .product-btns,
    .avans-btn,
    .avans {
        width: 100%;
    }
    .feature-action .product-action svg,
    .guaranty img {
        height: 20px;
    }
    .thumbnail {
        width: 60px;
    }
    .table-title h3,
    .table-text h3 {
        font-size: 12px;
    }

    /* Shopping Cart */
    .img-title h4,
    .order-box h3 {
        font-size: 12px;
    }
    .img-title img {
        width: 60px;
        height: 60px;
    }
    .quantity-number {
        width: 25px;
        height: 25px;
    }
    .quantity {
        gap: 5px;
    }
    .order-box p,
    .order-box .order-total {
        font-size: 14px;
    }

    /* Checkout */
    .cards-images {
        display: none;
    }
    .delivery-benefits h5 {
        font-size: 16px;
    }

    /* Service Detail */
    .service-detail-img {
        height: 300px;
    }
    .service-detail-content .service-text {
        flex-direction: column !important;
    }

    /* Compare */
    .compare-block .compare-product-feature,
    .compare-block .compare-sidebar-feature {
        font-size: 12px;
    }
    .compare-category-dropdown {
        top: 65px;
    }
    .tab-btn {
        font-size: 12px;
    }
}
